## fai-kernels 1.2

=== debian/changelog ===
fai-kernels (1.2) unstable; urgency=low

  * update for kernel 2.2.0

 -- Thomas Lange <lange@debian.org>  Thu, 11 Apr 2002 11:45:47 +0200

fai-kernels (1.1.5) unstable; urgency=low

  * package depends on kernel-source-2.2.19 (closes: #133584)
  * use RTL8139TOO ethernet driver instead of RTL8139
  * added via-rhine ethernet driver
  
 -- Thomas Lange <lange@debian.org>  Mon, 18 Feb 2002 14:59:55 +0100

fai-kernels (1.1.4) unstable; urgency=low

  * add build-depends (closes: #123716)
  * don't use option I with tar, instead use a pipe and bzcat
  * Standards update to 3.5.6

 -- Thomas Lange <lange@debian.org>  Wed,  2 Jan 2002 15:08:13 +0100

fai-kernels (1.1.3) unstable; urgency=low

  * added driver for Promise IDE controlle (needs kernel boot parameter)

 -- Thomas Lange <lange@debian.org>  Fri, 16 Nov 2001 13:48:46 +0100

fai-kernels (1.1.2) unstable; urgency=low

  * kernel configuration slightly changed
  * added serial console support

 -- Thomas Lange <lange@debian.org>  Thu,  4 Oct 2001 13:01:46 +0200

fai-kernels (1.1.1) unstable; urgency=low

  * Build-Depends to kernel-source without version number (closes:
    #102040, #98117)

 -- Thomas Lange <lange@debian.org>  Mon, 23 Jul 2001 11:19:59 +0200

fai-kernels (1.1) unstable; urgency=low

  * first upload to Debian archive
  * Support for kernel 2.2.19
  * enhanced documentation
  
 -- Thomas Lange <lange@debian.org>  Tue,  8 May 2001 16:22:46 +0200

fai-kernels (1.0) unstable; urgency=low

  * Initial Release.

 -- Thomas Lange <lange@debian.org>  Wed, 29 Nov 2000 17:25:29 +0100

Local variables:
mode: debian-changelog
End:
