=== debian/control ===
Source: fai-kernels
Section: admin
Priority: extra
Maintainer: Thomas Lange <lange@debian.org>
Standards-Version: 3.5.6
Build-Depends: kernel-source-2.2.20, kernel-package, libncurses5-dev, debhelper

Package: fai-kernels
Architecture: i386
Description: special kernels for FAI (Fully Automatic Installation)
 This package contains two kernels for the package FAI, booting the
 clients. One is for booting via BOOTP protocol, the other is using
 the DHCP protocol.
