## fai-kernels 1.6

=== debian/changelog ===
fai-kernels (1.6) unstable; urgency=low

  * use 2.4.24 kernel
  * rules: add --append-to-version, copy kernel config to doc directory,
    move value of DH_COMPAT in rules to new compat file
  * fai-kernel-config-2.4: add 3Com typhoon drivers, remove some PCMCIA
    drivers, enable highmem support
  * file kernel-version removed, set version in debian/rules
  
 -- Thomas Lange <lange@debian.org>  Tue,  3 Feb 2004 15:47:46 +0100

fai-kernels (1.5.3) unstable; urgency=low

  * add dependency on modutils (closes: #190895)

 -- Thomas Lange <lange@debian.org>  Tue, 29 Apr 2003 15:59:15 +0200

fai-kernels (1.5.2) unstable; urgency=high

  * kernel configuration now build with make oldconfig instead of
    make menuconfig (closes: #188633)
  * dependency on libncurses5-dev is not needed any more
  * add NEWS file
  
 -- Thomas Lange <lange@debian.org>  Wed, 23 Apr 2003 14:46:58 +0200

fai-kernels (1.5.1) unstable; urgency=low

  * add more network drivers for gigabit cards
  * README: list some network card drivers and their size, if someone need
    more space on the boot floppy

 -- Thomas Lange <lange@debian.org>  Mon,  7 Apr 2003 11:08:09 +0200

fai-kernels (1.5) unstable; urgency=low

  * use 2.4.20 kernel
  * debian/rules: build target only builds kernel version 2.4.x
  * debian/control: remove dependency on kernel-source-2.2.20
  * remove frame buffer support (and the penguin logo)
  * SCSI and IDE drivers are only availavle as modules
  * build target does not need root privileges (closes: #167102)
  * add build dependencies in control file
  * use new Intel NIC drivers, add tulip NIC driver
  * remove NFS server and quota support
  * ext2, loop, floppy now as modules
  * use even more kernel modules to reduce the size of the kernel image
  * disable FDDI drivers
  
 -- Thomas Lange <lange@debian.org>  Thu,  6 Feb 2003 15:53:45 +0100

fai-kernels (1.4) unstable; urgency=medium

  * remove setting of DEB_HOST_ARCH in rules file (closes: #146107)
  * add build-depends on bin86
  * merge the two 2.2.20 kernels to one that support both BOOTP and DHCP
  * override obsolete 1.3 version of this package, but add 2.4 kernel support

 -- Thomas Lange <lange@debian.org>  Thu, 16 May 2002 14:30:34 +0200

fai-kernels (1.3) unstable; urgency=low

  * add README to the Debian package
  * add info how to compile a 2.4.X kernel
  * new kernel-config-2.4 file
  * kernel 2.4.18 included in package
  
 -- Thomas Lange <lange@debian.org>  Wed,  8 May 2002 12:58:16 +0200
