=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for fai-kernels
#
# $Id: rules,v 1.13 2004/01/30 22:18:45 lange Exp $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#DEB_HOST_ARCH=$(dpkg-architecture -qDEB_HOST_ARCH)
REVISION=1
kversion24=2.4.24
kname24=kernel-source-$(kversion24)

kversion=
kname=kernel-source-$(kversion)

unpack: unpack-stamp
unpack-stamp:
	bzcat /usr/src/$(kname).tar.bz2 | tar -xf -
	touch unpack-stamp

unpack24: unpack-stamp24
unpack-stamp24:
	bzcat /usr/src/$(kname24).tar.bz2 | tar -xf -
	touch unpack-stamp24

# kernel 2.X
kernel: stamp-kernel
stamp-kernel: unpack-stamp kernel-config fai-kernel-config
	cat kernel-config fai-kernel-config > $(kname)/.config
	cd $(kname) ; \
	yes '' | make oldconfig ; \
	make-kpkg clean ; \
	make-kpkg --rootcmd fakeroot --append-to-version -fai --revision $(REVISION) kernel-image 
	touch stamp-kernel

# kernel 2.4 for both protocols
kernel24: stamp-24
stamp-24: unpack-stamp24
	cat kernel-config-2.4 fai-kernel-config-2.4 > $(kname24)/.config
	cd $(kname24) ; \
	yes '' | make oldconfig ; \
	make-kpkg clean ; \
	make-kpkg --rootcmd fakeroot --append-to-version -fai --revision $(REVISION) kernel-image 
	touch stamp-24

build: kernel24

veryclean:
	rm -f *stamp* *.deb
	-rm -rf $(kname) $(kname24)
	dh_clean

clean:
	dh_clean

install: install-stamp
install-stamp: build
	dh_clean -k
	dh_installdirs
	cp -p *.deb `pwd`/debian/fai-kernels/usr/lib/fai/kernel
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	cp -p $(kname24)/.config `pwd`/debian/fai-kernels/usr/share/doc/fai-kernels/config-$(kversion24)
	dh_installchangelogs 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install kernel unpack unpack24
