## fai-kernels 1.9.1sarge7.1

=== debian/changelog ===
fai-kernels (1.9.1sarge7.1) oldstable; urgency=high

  * Build against kernel-tree-2.6.8-17sarge1:
    * compat_sys_mount-NULL-data_page.dpatch
      [SECURITY] Fix oops in compat_sys_mount triggered by NULL data_page
      See CVE-2006-7203
    * pppoe-socket-release-mem-leak.dpatch
      [SECURITY] fix unpriveleged memory leak when a PPPoE socket is released
      after connect but before PPPIOCGCHAN ioctl is called upon it
      See CVE-2007-2525
    * dn_fib-out-of-bounds.dpatch, ipv4-fib_props-out-of-bounds.dpatch
      [SECURITY] Fix out of bounds condition in dn_fib_props[]
      See CVE-2007-2172
    * aacraid-ioctl-perm-check.dpatch
      [SECURITY] Require admin capabilities to issue ioctls to aacraid devices
      See CVE-2007-4308
    * reset-pdeathsig-on-suid.dpatch
      [SECURITY] Fix potential privilege escalation caused by improper
      clearing of the child process' pdeath signal.
      See CVE-2007-3848
    * bluetooth-l2cap-hci-info-leaks.dpatch
      [SECURITY] Fix information leaks in setsockopt() implementations
      See CVE-2007-1353
    * coredump-only-to-same-uid.dpatch
      [SECURITY] Fix an issue where core dumping over a file that
      already exists retains the ownership of the original file
      See CVE-2007-6206
    * i4l-isdn_ioctl-mem-overrun.dpatch
      [SECURITY] Fix potential isdn ioctl memory overrun
      See CVE-2007-6151
    * cramfs-check-block-length.dpatch
      [SECURITY] Add a sanity check of the block length in cramfs_readpage to
      avoid a potential oops condition
      See CVE-2006-5823
    * ext2-skip-pages-past-num-blocks.dpatch
      [SECURITY] Add some sanity checking for a corrupted i_size in
      ext2_find_entry()
      See CVE-2006-6054
    * minixfs-printk-hang.dpatch
      [SECURITY] Rate-limit printks caused by accessing a corrupted minixfs
      filesystem that would otherwise cause a system to hang (printk storm)
      See CVE-2006-6058
    * isdn-net-overflow.dpatch
      [SECURITY] Fix potential overflows in the ISDN subsystem
      See CVE-2007-6063
    * prevent-stack-growth-into-hugetlb-region.dpatch
      [SECURITY] Prevent OOPS during stack expansion when the VMA crosses
      into address space reserved for hugetlb pages.
      See CVE-2007-3739
    * cifs-honor-umask.dpatch
      [SECURITY] Make CIFS honor a process' umask
      See CVE-2007-3740
    * hugetlb-prio_tree-unit-fix.dpatch
      [SECURITY] Fix misconversion of hugetlb_vmtruncate_list to prio_tree
      which could be used to trigger a BUG_ON() call in exit_mmap.
      See CVE-2007-4133
    * amd64-zero-extend-32bit-ptrace.dpatch
      [SECURITY] Zero extend all registers after ptrace in 32-bit entry path.
      See CVE-2007-4573
    * usb-pwc-disconnect-block.dpatch
      [SECURITY] Fix issue with unplugging webcams that use the pwc driver.
      If userspace still has the device open it can result, the driver would
      wait for the device to close, blocking the USB subsystem.
      See CVE-2007-5093
    * powerpc-chrp-null-deref.dpatch
      [SECURITY][powerpc] Fix NULL pointer dereference if get_property
      fails on the subarchitecture
      See CVE-2007-6694
    * random-bound-check-ordering.dpatch
      [SECURITY] Fix stack-based buffer overflow in the random number
      generator
      See CVE-2007-3105
    * mmap-VM_DONTEXPAND.dpatch
      [SECURITY] Add VM_DONTEXPAND to vm_flags in drivers that register
      a fault handler but do not bounds check the offset argument
      See CVE-2008-0007

 -- dann frazier <dannf@debian.org>  Wed, 20 Feb 2008 14:20:35 -0700

fai-kernels (1.9.1sarge7) oldstable; urgency=low

  * Build against kerenl-tree-2.6.8-17

 -- dann frazier <dannf@debian.org>  Sat, 16 Jun 2007 07:05:53 -0600

fai-kernels (1.9.1sarge6) oldstable-security; urgency=high

  * NMU by the Security Team
  * Build against kernel-tree-2.6.8-10sarge7:
    * [ERRATA] smbfs-honor-mount-opts-2.dpatch
      Fix some regressions with respect to file types (e.g., symlinks)
      introduced by the fix for CVE-2006-5871 in 2.6.8-16sarge6
    * mincore_hang.dpatch
      [SECURITY] Fix a potential deadlock in mincore, thanks to Marcel
      Holtmann for the patch.
      See CVE-2006-4814
    * mincore-fixes.dpatch
      This patch includes a few fixes, necessary for mincore_hang.dpatch to
      apply cleanly.
    * dev_queue_xmit-error-path.dpatch
      [SECURITY] Correct an error path in dev_queue_xmit() to rebalance
      local_bh_enable() calls. Patch from Vasily Averin.
      See CVE-2006-6535
    * dvb-core-handle-0-length-ule-sndu.dpatch
      [SECURITY] Avoid sending invalid ULE packets which may not properly
      handled by the receiving side triggering a crash. This is a backport
      of the patch that went into 2.6.17.y. It would be better to fix the
      receiving end, but no patch for the era kernel has been developed yet.
      See CVE-2006-4623
    * bluetooth-capi-size-checks.dpatch
      [SECURITY] Add additional length checks to avoid potential remote
      DoS attacks in the handling of CAPI messages in the bluetooth driver
      See CVE-2006-6106
    * __find_get_block_slow-race.dpatch
      [SECURITY] Fix infinite loop in __find_get_block_slow that can
      be triggered by mounting and accessing a malicious iso9660 or NTFS
      filesystem
      See CVE-2006-5757, CVE-2006-6060
    * listxattr-mem-corruption.dpatch
      [SECURITY] Fix userspace corruption vulnerability caused by
      incorrectly promoted return values in bad_inode_ops
      This patches changes the kernel ABI.
      See CVE-2006-5753
    * aio-fix-nr_pages-init.dpatch
      [SECURITY] Fix initialization of info->nr_pages in aio_setup_ring() to
      avoid a race that can lead to a system crash
      See CVE-2006-5754
    * unmap_hugepage_area-check-null-pte.dpatch
      [SECURITY] Fix a potential DoS (crash) in unmap_hugepage_area().
      No kernel-image builds appear to compile this code, so this fix is only

