=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,27 @@
 #
 # debian/rules for fai-kernels
 #
-# $Id: rules,v 1.13 2004/01/30 22:18:45 lange Exp $
+# $Id: rules,v 1.19 2005/04/08 14:06:20 lange Exp $
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-#DEB_HOST_ARCH=$(dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+ifeq ($(DEB_HOST_ARCH),powerpc)
+# this (different ways for ppc+386 to create the config) is work in progress and will be de-ugly-fied soon
+createconfig24=cp kernel-config-2.4.powerpc $(kname24)/.config
+createconfig26=cp kernel-config-2.6.powerpc $(kname)/.config
+else
+# this (different ways for ppc+386 to create the config) is work in progress and will be de-ugly-fied soon
+createconfig24=cat kernel-config-2.4 fai-kernel-config-2.4 > $(kname24)/.config
+createconfig26=cat kernel-config fai-kernel-config > $(kname)/.config
+endif
+
+include versions
 REVISION=1
-kversion24=2.4.24
 kname24=kernel-source-$(kversion24)
 
-kversion=
 kname=kernel-source-$(kversion)
 
 unpack: unpack-stamp
@@ -25,27 +35,27 @@
 	bzcat /usr/src/$(kname24).tar.bz2 | tar -xf -
 	touch unpack-stamp24
 
-# kernel 2.X
+# kernel 2.6
 kernel: stamp-kernel
 stamp-kernel: unpack-stamp kernel-config fai-kernel-config
-	cat kernel-config fai-kernel-config > $(kname)/.config
+	$(createconfig26)
 	cd $(kname) ; \
 	yes '' | make oldconfig ; \
 	make-kpkg clean ; \
 	make-kpkg --rootcmd fakeroot --append-to-version -fai --revision $(REVISION) kernel-image 
 	touch stamp-kernel
 
-# kernel 2.4 for both protocols
+# kernel 2.4
 kernel24: stamp-24
 stamp-24: unpack-stamp24
-	cat kernel-config-2.4 fai-kernel-config-2.4 > $(kname24)/.config
+	$(createconfig24)
 	cd $(kname24) ; \
 	yes '' | make oldconfig ; \
 	make-kpkg clean ; \
 	make-kpkg --rootcmd fakeroot --append-to-version -fai --revision $(REVISION) kernel-image 
 	touch stamp-24
 
-build: kernel24
+build: kernel24 kernel
 
 veryclean:
 	rm -f *stamp* *.deb
@@ -72,6 +82,7 @@
 	dh_testroot
 	dh_installdocs
 	cp -p $(kname24)/.config `pwd`/debian/fai-kernels/usr/share/doc/fai-kernels/config-$(kversion24)
+	cp -p $(kname)/.config `pwd`/debian/fai-kernels/usr/share/doc/fai-kernels/config-$(kversion)
 	dh_installchangelogs 
 	dh_compress
 	dh_fixperms
