=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Thomas Lange <lange@debian.org>
 Standards-Version: 3.5.6
-Build-Depends: kernel-tree-2.6.8-17sarge1, kernel-tree-2.4.27-10sarge5, modutils, module-init-tools, kernel-package, debhelper, bin86, fakeroot
+Build-Depends: kernel-tree-2.6.8-17sarge1, kernel-tree-2.4.27-10sarge7, modutils, module-init-tools, kernel-package, debhelper, bin86, fakeroot
 
 Package: fai-kernels
 Architecture: i386
