## fai-kernels 1.10.3ubuntu2

=== debian/changelog ===
fai-kernels (1.10.3ubuntu2) dapper; urgency=low

  * call make-kpkg with NO_PKG_MANGLE=1 to shortcircuit pkgstripstranslations
    on the launchpad buildds.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 May 2006 08:51:30 +0200

fai-kernels (1.10.3ubuntu1) dapper; urgency=low

  * ignore bzr as well
  * use gcc-4.0 for compilation, drop gcc-3.3 build dependency
  * build 2.6 kernels only. this removes a lot of ugly switches and arch
    specific corner cases in debian/rules, but we do not build for alpha
    anyway.
  * drop kernel configs for 2.4 kernels
  * use ubuntu 2.6.15 instead of debian 2.6.16
  * kernel configs for amd64 and i386

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 10 May 2006 18:46:24 +0000

fai-kernels (1.10.3) unstable; urgency=low

  * upgraded to build with 2.6.16
  * enabled aacraid driver (as module) in i386, amd64 and powerpc 2.6 kernels
    as well as in powerpc 2.4 kernels (closes: #357918)

 -- Holger Levsen <debian@layer-acht.org>  Sat,  8 Apr 2006 15:45:01 +0000

fai-kernels (1.10.2) unstable; urgency=low

  * updated to use 2.6.15
  * the test, if the patch for #328707 applies, now works as intended. 
    (That means fai-kernels builds with kernel-source-2.4.27-12 in sid.)
  * increased CONFIG_BLK_DEV_RAM_SIZE=8192 as this is needed for the new
    fai-cd and also matches the debian default kernels
  * added arch specific build-depends on kernel sources
  * bugfix: don't copy the 2.6 kernel config on alpha - the real fix (tm)
    should be to build 2.6 fai-kernels on alpha... as I don't have an 
    alpha I'm waiting for someone to send that config to the BTS
  * build HW_RANDOM as module on archs that support it (2.6 only) - requested
    by user via private mail (please use the BTS instead)
  * build with CONFIG_PDC202XX_FORCE=y as requested by user via private mail 
  * set CONFIG_FUSION=y as it's an option, not a driver
  * more driver needed for 2.6 i386, requested by Thomas Lange (TULIP, 
    CONFIG_DE4X5, CONFIG_WINBOND_840, CONFIG_DM9102, CONFIG_ULI526X)
  * the i386, amd64 and powerpc kernel configs have been re-generated with 
    "make menuconfig" so in future it will be easier to diff them. The alpha
    config still needs to be updated that way. 
  * enabled CONFIG_SCSI_SATA_ULI=m (and therefore experimental drivers) on
    2.6 on i386 and amd64 as requested by Thomas Lange.

 -- Holger Levsen <debian@layer-acht.org>  Wed, 18 Jan 2006 15:44:37 +0100

fai-kernels (1.10.1) unstable; urgency=low

  * added build-depends on gcc-3.3 (closes: #340884)
  * reenabled serial console on 2.6 on i386 (closes: #296932) and also on
    powerpc and amd64 as well as on 2.4 on powerpc
  * streamlined support for Fusion MPT on i386 and amd64
  * added support for 2.4 fai-kernels on alpha - thanks to Steffen Grunewald

 -- Holger Levsen <debian@layer-acht.org>  Wed, 30 Nov 2005 11:42:16 +0100

fai-kernels (1.10) unstable; urgency=low

  * fai-kernels was removed as requested in #323183. Unfortunatly neither
    Thomas Lange (the former maintainer) nor me was informed of that action
    before it was done. 
    This makes FAI unpleasent to use in unstable, and since FAI is in heavy 
    development at the moment we would like to have as many testers as possible 
    - so we decided to re-upload fai-kernels.
    As this is done now, I will stick to my original plan, which is using
    standard debian kernels with "nfsroot"-initrds for FAI. This will make
    fai-kernel unnecessary so it _then_ can be removed again.
  * added support for amd64 and ppc 
  * updated README.non-i386 accordingly
  * updated to use linux-tree-2.6.14 instead of 2.6.8
  * apply the patch for #328707 to kernel-source-2.4.27 during build-time, so 
    that it builds with the latest binutils. As 2.4.27-12 will hopefully soon
    be uploaded with the patch included, the patch will only be applied, if it
    applies cleanly without errors.
  * dont merge kernel config snipplets, rather use one config file per arch
    and kernel version (2.4/2.6)
  * added some drivers for various network cards and scsi controllers 
    (closes: #328232)
  * updated README (closes: #328230)
  * append "fai-kernels" to version of the build kernel-packages instead of
    "fai"
  * updated the FSF address in copyright
  * confirmed that the package conforms to debian-policy 3.6.2
  * made build-dependency to debhelper versioned and raised debian/compat to
    a non-deprecated value
  * added myself to maintainers field

 -- Holger Levsen <debian@layer-acht.org>  Fri, 21 Nov 2005 16:23:42 +0100
