=== debian/control ===
Source: fai-kernels
Section: admin
Priority: extra
Maintainer: Holger Levsen <debian@layer-acht.org>
Standards-Version: 3.6.2
Build-Depends: linux-source-2.6.15, modutils, kernel-package, debhelper (>= 4), bin86, fakeroot

Package: fai-kernels
Architecture: i386 powerpc amd64 alpha
Description: special kernels for FAI (Fully Automatic Installation)
 This package contains the kernels which are used by the install
 clients during the fully automatic installation. These kernels are
 only useful for the package FAI.
