=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for fai-kernels
#
# $Id: rules,v 1.19 2005/04/08 14:06:20 lange Exp $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# we never want CVS and subversion files in our packages
export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr


DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

export PATCH_THE_KERNEL=YES

createconfig26=cp kernel-config-2.6.$(DEB_HOST_ARCH) $(kname)/.config

include versions
REVISION=1
kname=linux-source-$(kversion)

unpack: unpack-stamp
unpack-stamp:
	bzcat /usr/src/$(kname).tar.bz2 | tar -xf -
	touch unpack-stamp

# kernel 2.6
kernel: stamp-kernel
stamp-kernel: unpack-stamp 
	$(createconfig26)
	cd $(kname) ; \
	yes '' | make oldconfig ; \
	cd $(kname) ; make-kpkg clean ; \
	NO_PKG_MANGLE=1 make-kpkg --rootcmd fakeroot --append-to-version -fai-kernels --revision $(REVISION) kernel-image 
	touch stamp-kernel

build: kernel

veryclean:
	rm -f *stamp* *.deb
	-rm -rf $(kname)
	dh_clean

clean:
	dh_clean

install: install-stamp
install-stamp: build
	dh_clean -k
	dh_installdirs
	cp -p *.deb `pwd`/debian/fai-kernels/usr/lib/fai/kernel
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	cp -p $(kname)/.config `pwd`/debian/fai-kernels/usr/share/doc/fai-kernels/config-$(kversion)
	dh_installchangelogs 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install kernel unpack
