## fai-kernels 1.12ubuntu1

=== debian/changelog ===
fai-kernels (1.12ubuntu1) edgy; urgency=low

  * recompiled for edgy
  * enabled NFSv4 for working around https://launchpad.net/bugs/64423
  * call make-kpkg with NO_PKG_MANGLE=1 to shortcircuit pkgstripstranslations
    on the launchpad buildds.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 21 Oct 2006 10:55:29 +0200

fai-kernels (1.12) unstable; urgency=low

  * reverted 1.11-2 as the NMU was a.) incomplete (only i386), b.) included
    cruft and unmentioned changes, c.) I had most changes in SVN anyway and d.)
    got additional bonus points for not sending the patches to the BTS nor 
    opening a bug for the NMU
  * switched images and configs to 2.6.17
  * added CONFIG_USB_HIDINPUT=y to amd64 and i386 (Closes: #385435)
  * enabled some more SCSI modules on i386, amd64 and powerpc (Closes: #381494)
  * enabled CONFIG_SKGE and CONFIG_SKY2 on i386 and amd64 (Closes: #385613)
  * enabled CONFIG_MV643XX_ETH on powerpc
  * enabled CONFIG_NETLINK on i386, amd64 and powerpc (Closes: #380611)

 -- Holger Levsen <debian@layer-acht.org>  Mon, 11 Sep 2006 12:07:23 +0200

fai-kernels (1.11.2) unstable; urgency=low

  * build with CONFIG_SKGE and CONFIG_SKY2 driver Marvell/Yukon gigabit
    ethernet cards support on i386 (closes: #385613).
  * build with CONFIG_USB_HIDINPUT driver for USB keyboards on i386
    (closes: #385435).
  * added myself as uploader

 -- Cyril Bouthors <cyril@bouthors.org>  Sat,  2 Sep 2006 14:41:27 +0300

fai-kernels (1.11.1) unstable; urgency=low

  * build SATA_SIS as a module on i386 (Closes: #378021)
  * removed PATCH_THE_KERNEL=yes as suggested by Dann Frazier in 1.9.1sarge1,
    removed build-conflicts linux-patch-bootsplash (Closes: #378008, #378018)
  * added build-dep module-init-tools also suggested by him in that
    security-upload
  * removed veryclean target and moved its contents to clean

 -- Holger Levsen <debian@layer-acht.org>  Fri, 14 Jul 2006 16:28:19 +0000

fai-kernels (1.11) unstable; urgency=low

  * removed kernel 2.4 
  * therefore also removed alpha build as no 2.6 config for fai-kernels for
    alpha exits :-(
  * build SATA nvidia driver as a module on i386 (Closes: #366423) and the
    AHCI SATA driver on i386 and amd64 (Closes:  #375653)
  * build all megaraid drivers as modules on i386 and amd64 (Closes: #375843)
  * build with FORCEDETH nvidia driver support on i386 (Closes: #368612)
  * confirmed that the package conforms to debian-policy 3.7.2

 -- Holger Levsen <debian@layer-acht.org>  Tue, 11 Jul 2006 18:47:22 +0000
