=== debian/control ===
Source: fai-kernels
Section: admin
Priority: extra
Maintainer: Holger Levsen <debian@layer-acht.org>
Uploaders: Thomas Lange <lange@debian.org>
Standards-Version: 3.7.2
Build-Depends: linux-source-2.6.17, modutils, kernel-package, debhelper (>= 4), bin86, fakeroot, module-init-tools

Package: fai-kernels
Architecture: i386 powerpc amd64
Description: special kernels for FAI (Fully Automatic Installation)
 This package contains the kernels which are used by the install
 clients during the fully automatic installation. These kernels are
 only useful for the package FAI.
