=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,10 @@
 #export DH_VERBOSE=1
 
 # we never want CVS and subversion files in our packages
-export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr
+export DH_ALWAYS_EXCLUDE=CVS:.svn
 
 
 DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-export PATCH_THE_KERNEL=YES
 
 createconfig26=cp kernel-config-2.6.$(DEB_HOST_ARCH) $(kname)/.config
 
@@ -36,14 +34,12 @@
 	NO_PKG_MANGLE=1 make-kpkg --rootcmd fakeroot --append-to-version -fai-kernels --revision $(REVISION) kernel-image 
 	touch stamp-kernel
 
-build: kernel
-
-veryclean:
-	rm -f *stamp* *.deb
-	-rm -rf $(kname)
-	dh_clean
+build:	
+	debian/rules kernel
 
 clean:
+	rm -f *stamp* *.deb
+	-rm -rf $(kname) 
 	dh_clean
 
 install: install-stamp
