## fai-kernels 1.17

=== debian/changelog ===
fai-kernels (1.17) unstable; urgency=low

  * build against newer version of linux-source-2.6.18 (2.6.18.dfsg.1-11) 

 -- Holger Levsen <debian@layer-acht.org>  Tue, 27 Feb 2007 19:56:20 +0000

fai-kernels (1.16) unstable; urgency=low

  * build against newer version of linux-source-2.6.18 (2.6.18.dfsg.1-10)

 -- Holger Levsen <debian@layer-acht.org>  Wed,  7 Feb 2007 12:29:52 +0100

fai-kernels (1.15) unstable; urgency=low

  * build against newer version of linux-source-2.6.18 (2.6.18-7)
  * JFFS2 (i386 only) needs MTD, this really (Closes: #399990)

 -- Holger Levsen <debian@layer-acht.org>  Sun, 10 Dec 2006 13:54:20 +0000

fai-kernels (1.14) unstable; urgency=low

  * build against newer version of linux-source-2.6.18
  * add Vcs-Svn control field (Closes: #399554)
  * build IPMI modules on i386 and amd64 (Closes: #399545)
  * build 3ware modules on powerpc too, so on all archs now (Closes: #399538)
  * build JFFS2 modules on i386 (Closes: #399990)
  * build LSI MegaRAID modules on powerpc too, so on all archs now (Closes: #399534)

 -- Holger Levsen <debian@layer-acht.org>  Tue, 28 Nov 2006 20:02:04 +0000

fai-kernels (1.13) unstable; urgency=low

  * upgraded to 2.6.18
  * bnx2 network driver enabled (Closes: #387572)
  * copied the Graphics support and Console display driver support 
    configuration sections from config-2.6.18-2-vserver-686/amd64/powerpc
    (Closes: #396740) 
  * introduced config-2.6.17.144floppy in /usr/share/doc/fai-kernels/
    for easy rebuilding with a kernel that still fits on a 1.44mb floppy
    Those configurations are the same as where used in fai-kernels 1.12
    but without the gigabit nic drivers.
  * moved NEWS to NEWS.Debian
  * enabled nfs4

 -- Holger Levsen <debian@layer-acht.org>  Mon, 13 Nov 2006 18:35:14 +0000
