=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Holger Levsen <debian@layer-acht.org>
 Uploaders: Thomas Lange <lange@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: linux-source-2.6.17, modutils, kernel-package, debhelper (>= 4), bin86, fakeroot, module-init-tools
+Build-Depends: linux-tree-2.6.18, modutils, kernel-package, debhelper (>= 4), bin86, fakeroot, module-init-tools
+XS-Vcs-Svn: svn://svn.debian.org/svn/fai/people/h01ger/fai-kernels
 
 Package: fai-kernels
 Architecture: i386 powerpc amd64
