## fai-kernels 1.17+etch.26etch2

=== debian/changelog ===
fai-kernels (1.17+etch.26etch2) oldstable-security; urgency=high

  * Rebuild against linux-source-2.6.18_2.6.18.dfsg.1-26etch2:
    * [s390] Revert syscall wrapping of execve() - 2.6.18 still
      has some in-kernel callers which bollocks up pt_regs.
      (Closes: #562525)
    * [SCSI] gdth: Prevent negative offsets in ioctl (CVE-2009-3080)
    * NFSv4: Fix a problem whereby a buggy server can oops the kernel
      (CVE-2009-3726)
    * isdn: hfc_usb: Fix read buffer overflow (CVE-2009-4005)
    * hfs: fix a potential buffer overflow (CVE-2009-4020)
    * fuse: prevent fuse_put_request on invalid pointer (CVE-2009-4021)
    * e1000: enhance frame fragment detection (CVE-2009-4536)
    * netfilter: ebtables: enforce CAP_NET_ADMIN (CVE-2010-0007)
    * connector: Delete buggy notification code. (CVE-2010-0410)
    * Fix potential crash with sys_move_pages (CVE-2010-0415)
    * futex: Handle user space corruption gracefully (CVE-2010-0622)
    * [s390] Fix missing capability check in z90crypt driver (CVE-2009-1883)
    * net ax25: Fix signed comparison in the sockopt handler (CVE-2009-2909)
    * fix information leak in llc_ui_getname (CVE-2009-3001)
    * net: fix information leak due to uninitialized structures in
      getname functions (CVE-2009-3002)
    * tc: Fix uninitialized kernel memory leak (CVE-2009-3228)
    * random: make get_random_int() more random (CVE-2009-3238)
    * NFSv4: fix open-create permissions, move iattr & verf attributes of
      struct nfsd4_open out of the union (CVE-2009-3286)
    * fs: pipe.c null pointer dereference (CVE-2009-3547)
    * netlink: fix typo in initialization (CVE-2009-3612)
    * AF_UNIX: Fix deadlock on connecting to shutdown socket (CVE-2009-3621)
    * [mips/mipsel] Fix errno on inexistent syscalls. (Closes: #520034).
    * bridge: Fix oops in port_carrier_check (closes: #529165)

 -- dann frazier <dannf@debian.org>  Mon, 22 Feb 2010 18:12:45 -0700

fai-kernels (1.17+etch.24etch4) oldstable-security; urgency=high

  * Rebuild against linux-source-2.6.18_2.6.18.dfsg.1-24etch3:
    * [parisc] isa-eeprom - Fix loff_t usage (CVE-2009-2846)
    * do_sigaltstack: avoid copying 'stack_t' as a structure to user space
      (CVE-2009-2847)
    * execve: must clear current->clear_child_tid (CVE-2009-2848)
    * md: avoid dereferencing NULL pointer when accessing suspend_* sysfs
      attributes (CVE-2009-2849)
    * [UDP]: Fix MSG_PROBE crash (CVE-2009-2698)

 -- dann frazier <dannf@debian.org>  Mon, 24 Aug 2009 10:03:10 -0600

fai-kernels (1.17+etch.24etch3) oldstable-security; urgency=high

  * Rebuild against linux-source-2.6.18_2.6.18.dfsg.1-24etch3:
    * e1000: add missing length check to e1000 receive routine (CVE-2009-1385)
    * r8169: fix crash when large packets are received (CVE-2009-1389)
    * nfs4: fix MAY_EXEC handling (CVE-2009-1630)
    * cifs: fix several string conversion issues (CVE-2009-1633)
    * net: fix possible NULL dereference in sock_sendpage() (CVE-2009-2692)

 -- dann frazier <dannf@debian.org>  Sun, 16 Aug 2009 09:18:49 -0600

fai-kernels (1.17+etch.24etch2) oldstable-security; urgency=high

  * Rebuild against linux-source-2.6.18_2.6.18.dfsg.1-24etch2:
    * Fix buffer underflow in the ib700wdt watchdog driver:
     - bugfix/all/watchdog-ib700wdt-buffer_underflow.patch
    See CVE-2008-5702
    * nfs: Fix fcntl/close race
       - bugfix/all/nfs-remove-buggy-lock-if-signalled-case.patch
      See CVE-2008-4307
    * sctp: fix memory overflow
       - bugfix/all/sctp-avoid-memory-overflow.patch
      See CVE-2009-0065
    * Fix sign-extend ABI issue w/ system calls on various 64-bit architectures
       - bugfix/all/CVE-2009-0029/*
      See CVE-2009-0029
    * security: introduce missing kfree
       - bugfix/all/security-keyctl-missing-kfree.patch
      See CVE-2009-0031
    * dell_rbu: use scnprintf instead of less secure sprintf
       - bugfix/all/dell_rbu-use-scnprintf-instead-of-sprintf.patch
      See CVE-2009-0322
    * [hppa] Fix system crash while unwinding a userspace process
       - bugfix/hppa/userspace-unwind-crash.patch
      See CVE-2008-5395
    * NET: Add preemption point in qdisc_run
       - bugfix/all/net-add-preempt-point-in-qdisc_run.patch
      See CVE-2008-5713
    * [mips] Fix potential DOS by untrusted user app
       - bugfix/mips/fix-potential-dos.patch
      See CVE-2008-5701
    * Fix sensitive memory leak in SO_BSDCOMPAT gsopt
       - bugfix/all/net-SO_BSDCOMPAT-leak.patch
       - bugfix/all/net-SO_BSDCOMPAT-leak-2.patch
      See CVE-2009-0676
    * skfp: Fix inverted capabilities check logic
       - bugfix/all/skfp-fix-inverted-cap-logic.patch
      See CVE-2009-0675
    * [amd64] syscall-audit: fix 32/64 syscall hole
       - bugfix/syscall-audit-fix-32+64-syscall-hole.patch
      See CVE-2009-0834
    * shm: fix shmctl(SHM_INFO) lockup with !CONFIG_SHMEM
      This issue does not effect pre-build Debian kernels.
       - bugfix/all/shm-fix-shmctl-SHM_INFO-lockup-without-CONFIG_SHMEM.patch
      See CVE-2009-0859
    * copy_process: fix CLONE_PARENT && parent_exec_id interaction
       - bugfix/all/copy_process-fix-CLONE_PARENT-and-parent_exec_id-interaction.patch
      See CVE-2009-0028
    * af_rose/x25: Sanity check the maximum user frame size
       - bugfix/all/af_rose+x25-sanity-check-the-max-user-frame-size.patch
      See CVE-2009-1265
    * NFS: fix an oops in encode_lookup()
       - bugfix/all/nfs-fix-oops-in-encode_lookup.patch
      See CVE-2009-1336
    * exit_notify: kill the wrong capable(CAP_KILL) check
       - bugfix/all/exit_notify-kill-wrong-CAP_KILL-check.patch
      See CVE-2009-1337
    * agp: zero pages before sending to userspace
       - bugfix/all/agp-zero-pages-before-sending-to-userspace.patch
      See CVE-2009-1192
    * cifs: Fix memory overwrite when saving nativeFileSystem field during mount
       - bugfix/all/cifs-fix-memory-overwrite-when-saving-nativeFileSystem-field-during-mount.patch

