=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	cd $(kname) ; \
 	yes '' | make oldconfig ; \
 	cd $(kname) ; make-kpkg clean ; \
-	NO_PKG_MANGLE=1 make-kpkg --rootcmd fakeroot --append-to-version -fai-kernels --revision $(REVISION) kernel-image 
+	make-kpkg --rootcmd fakeroot --append-to-version -fai-kernels --revision $(REVISION) kernel-image 
 	touch stamp-kernel
 
 build:	
@@ -59,6 +59,7 @@
 	dh_testroot
 	dh_installdocs
 	cp -p $(kname)/.config `pwd`/debian/fai-kernels/usr/share/doc/fai-kernels/config-$(kversion)
+	cp -p floppy-config/kernel-config-2.6.$(DEB_HOST_ARCH) `pwd`/debian/fai-kernels/usr/share/doc/fai-kernels/config-$(kversion).144mb-floppy
 	dh_installchangelogs 
 	dh_compress
 	dh_fixperms
